Skip to main content
GET
/
pullzone
/
{pullZoneId}
/
originshield
/
queuestatistics
Get Origin Shield Queue Statistics
curl --request GET \
  --url https://api.bunny.net/pullzone/{pullZoneId}/originshield/queuestatistics \
  --header 'AccessKey: <api-key>'
{
  "ConcurrentRequestsChart": {},
  "QueuedRequestsChart": {}
}

Authorizations

AccessKey
string
header
required

API Access Key authorization header

Path Parameters

pullZoneId
integer<int64>
required

Id of a Pull Zone

Query Parameters

dateFrom
string<date-time> | null

(Optional) The start date of the statistics. If no value is passed, the last 30 days will be returned.

dateTo
string<date-time> | null

(Optional) The end date of the statistics. If no value is passed, the last 30 days will be returned.

hourly
boolean
default:false

(Optional) If true, the statistics data will be returned in hourly groupping.

Response

The statistics data for the passed parameters.

ConcurrentRequestsChart
object | null

The constructed chart of origin shield concurrent requests

QueuedRequestsChart
object | null

The constructed chart of origin shield requests chart

Last modified on July 3, 2026